# frozen_string_literal: true

module Hermes
  # Lessor serializer
  class LessorObjectiveHistorySerializer < Hermes::ApplicationSerializer
    cache key: proc { "#{object.cache_key}" }, expires_in: 1.day
    attributes %i[
      lessor_objective_id
      lessor_id
      housing_offer_id
    ]

    attribute :target_by_typologies, key_transformation: :unaltered
    attribute :realized_by_typologies, key_transformation: :unaltered

    type 'lessor_objective_history'
  end
end
